function toggleDiv(divid){
    if(document.getElementById(divid).style.display == 'none'){
        document.getElementById(divid).style.display = 'block';
    }else{
        document.getElementById(divid).style.display = 'none';
    }
}

function restart_task(collectionid,subjectid)
{
    var collection = collections[collectionid];
    var subject = "";

    if(subjectid >= 0) {
        subject = files[collectionid][subjectid];
    }

    $(document).ajaxError(function() {
        if (window.console && window.console.error) {
            console.error(arguments);
        }
    });

    $.ajax(
    {
        type    : 'POST',
        url     : 'requestprocessor.php',
        data    : { option: "restart_task", collectionname:collection, subject:subject, r:Math.random() },
        dataType: 'json',
        success : function(json_data) 
                  {
                      alert(json_data.status);
                  },
        error:    function () 
                  {
                      alert('Unable to communicate with backend!');
                  }
    });
}

function delete_task(collectionid,subjectid)
{
    var collection = collections[collectionid];
    var subject = "";

    if(subjectid >= 0) {
        subject = files[collectionid][subjectid];
    }

    $(document).ajaxError(function() {
        if (window.console && window.console.error) {
            console.error(arguments);
        }
    });

    $.ajax(
    {
        type    : 'POST',
        url     : 'requestprocessor.php',
        data    : { option: "delete_task", collectionname:collection, subject:subject, r:Math.random() },
        dataType: 'json',
        success : function(json_data)
                  {
                      alert(json_data.status);
                      if (subjectid >= 0) {
                          toggleDiv("collection_" + collectionid + "_subject_" + subjectid);
                      } else {
                          toggleDiv(collection);
                      }
                  },
        error:    function ()
                  {
                      alert('Unable to communicate with backend!');
                  }
    });
}
